"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTwigUsage = void 0;
const ejs_1 = require("ejs");
const path_1 = require("path");
const fs_1 = require("fs");
const renderTwigUsageTemplate = (0, ejs_1.compile)((0, fs_1.readFileSync)((0, path_1.join)(__dirname, '../template.twig.ejs'), 'utf8'), {
    filename: 'template.twig.ejs',
    async: true,
});
async function getTwigUsage(data) {
    const props = Object.keys(data.props || {}).map((key) => {
        const value = JSON.stringify(data.props[key]);
        return {
            key,
            value,
        };
    });
    const { templateName, before, after } = data;
    const result = await renderTwigUsageTemplate({
        templateName,
        props: data.extraProps ? [...props, ...data.extraProps] : props,
        before,
        after,
    });
    return result.trim();
}
exports.getTwigUsage = getTwigUsage;
//# sourceMappingURL=utils.js.map